List invoices

GET/v1/billing/invoices

A GET request to the /v1/billing/invoices endpoint will show a list of all account invoices. You can make the request more specific using the query parameters.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

status?string

Invoices of the specified status will be shown.

Value in

  • "pending"
  • "outstanding"
  • "overdue"
  • "paid"
  • "canceled"
  • "reissued"
type?string

This parameter defines if invoices or credit notes will be listed.

Value in

  • "invoice"
  • "credit_note"
parent_id?string

Displaying results by the parent invoice.

currency?string

A parameter to show invoices in a chosen currency.

start_date?string

Show invoices from this date.

Formatdate
end_date?string

Show invoices until this date.

Formatdate
per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's date.

Default"date"

Value in

  • "id"
  • "date"
  • "type"
  • "status"
  • "parent_id"
  • "total_due"
  • "currency"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, DESC is set up.

Default"DESC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

curl -X GET "https://example.com/v1/billing/invoices?currency=EUR"
[  {    "id": "olejRejN",    "number": 1,    "parent_id": null,    "status": "pending",    "date": "2026-06-01",    "type": "invoice",    "total_due": 200,    "currency": "EUR"  },  {    "id": "pmbk5ezJ",    "number": 2,    "parent_id": null,    "status": "overdue",    "date": "2026-05-01",    "type": "invoice",    "total_due": 200,    "currency": "EUR"  },  {    "id": "MvbmOeYA",    "number": 4,    "parent_id": "pnel5aKB",    "status": "pending",    "date": "2026-05-01",    "type": "invoice",    "total_due": 20,    "currency": "EUR"  },  {    "id": "pnel5aKB",    "number": 3,    "parent_id": null,    "status": "paid",    "date": "2026-04-01",    "type": "invoice",    "total_due": 200,    "currency": "EUR"  }]